Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata
Class MetadataFactoryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.olapi.metadata.MetadataFactoryException

public class MetadataFactoryException
extends java.lang.RuntimeException
implements HasLocalizedMessage

Indicates that Oracle OLAP cannot perform the requested metadata factory operation; usually, this exception occurs because the specified parameters for the method are not valid. For example, this exception is thrown when the `String` parameters are invalid for the `setOrder` or `setNullRule` methods of the `MtmDimensionOrderSpecification` class.

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getLocalizedMessage()` Gets a message in the language specified by the default `java.util.Locale`.
`java.lang.String` | `getLocalizedMessage(java.util.Locale locale)` Gets a message in the language specified by the `java.util.Locale` object.
`java.lang.String` | `toString()` Gets the message for this `MetadataFactoryException`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage(java.util.Locale locale)

  Gets a message in the language specified by the `java.util.Locale` object.
  Specified by:
    getLocalizedMessage in interface HasLocalizedMessage
  Parameters:
    `locale` - The `Locale` object that specifies the language for the message.
  Returns:
    A `String` that has the message in the specified language.

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Gets a message in the language specified by the default `java.util.Locale`.
  Overrides:
    getLocalizedMessage in class java.lang.Throwable
  Returns:
    A `String` that has the message in the language of the default `Locale`.

### toString

    public java.lang.String toString()

  Gets the message for this `MetadataFactoryException`.
  Overrides:
    toString in class java.lang.Throwable
  Returns:
    A `String` that has the message for this `MetadataFactoryException`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.